std::ranges::stride_view::iterator::operator*(3)

NAME
std::ranges::stride_view::iterator::operator* - std::ranges::stride_view::iterator::operator*

Synopsis
   constexpr decltype(auto) operator*() const; (since C++23)
   Returns the elements into V the underlying iterator current_ points to.
   Equivalent to: return *current_;.

Parameters
   (none)

Return value
   The current element.

Notes
   operator-> is not provided.

Example
// Run this code
 #include <ranges>
 int main()
 {
     constexpr static auto v = {'a', 'b', 'c', 'd', 'e'};
     constexpr auto view{v | std::views::stride(2)};
     constexpr auto iter{view.begin() + 1};
     static_assert(*iter == 'c');
     static_assert(*(view.begin() + 2) == 'e');
 }

See also
   operator[] accesses an element by index
   (C++23) (public member function)